<?
include 'mysql.php';
include_once("inclydings/gzips.php");
include_once("inclydings/zag.php");
include_once("inclydings/check2.php");
include_once("inclydings/sesi.php");
if (isset($user)) {


echo "<a href=\"forum.php?$sd\">Форум</a> | <a href=\"smile.php?$sd\">Смайлы</a> | <a href=\"forum.php?$sd&game=pravila\">Правила форума</a><br/><br/>";

//////////////////

if($game=="pravila"){

echo "<b>Правила: </b><br/>
1) Флуд постов и тем.<br/>
2) Название темы не в соотвецтвующем разделе.<br/>
3) Мат,хамство,оскорбление других жителей мира.<br/>
4) Жалобы без доказательств.<br/>";
include_once"inclydings/down.php";
exit;
}
if($game=="readsave"){
$g=mysql_query("SELECT * FROM `table_themes` WHERE `id`='$id' AND `uid`='$uid' LIMIT 1");
if(mysql_num_rows($g)==1){
$g=mysql_query("SELECT * FROM `table_forummsgs` WHERE `oid`='$id' AND `uid`='$uid' AND `aid`='$aid' AND `autor`='$nick' LIMIT 1");
if(mysql_num_rows($g)==1){
if($transi=="ok"){
require_once "inclydings/translit.php";
if(ereg("[а-яА-Я]",$msg)){}else{
$msg=str_replace($trans1,$trans2,$msg);}
}
include 'inclydings/smile.php';
mysql_query("UPDATE `table_forummsgs` SET `msg`='$msg' WHERE `oid`='$id' AND `uid`='$uid' AND `aid`='$aid'");
echo "Сообщение изменено";
echo "<br/><li><a href=\"forum.php?$sd&game=tem&id=$id&uid=$uid\">Назад в тему</a><br/>";
}else{echo "Вы не автор этого сообщения";}
}else{echo "Такая тема не существует";}
include_once"inclydings/down.php";
exit;
}

if($game=="read"){
$g=mysql_query("SELECT * FROM `table_themes` WHERE `id`='$id' AND `uid`='$uid' LIMIT 1");
if(mysql_num_rows($g)==1){
$g=mysql_query("SELECT * FROM `table_forummsgs` WHERE `oid`='$id' AND `uid`='$uid' AND `aid`='$aid' AND `autor`='$nick' LIMIT 1");
if(mysql_num_rows($g)==1){
$result666 = mysql_query("SELECT * FROM `table_forummsgs` WHERE `oid`='$id' AND `uid`='$uid' AND `aid`='$aid' AND `autor`='$nick'");
$po = mysql_fetch_array($result666);

echo'<form method="post" action="forum.php?$sd&game=readsave&id='.$id.'&aid='.$aid.'&uid='.$uid.'">';
echo "<br/>Редактировать:<br/>";
echo "<input class=\"button\" name=\"msg\" maxlength=\"500\" value=\"$po[msg]\" title=\"Редактировать\" emptyok=\"true\"/><br/>";
echo '<input type="checkbox" name="transi" value="ok">Транслит<br/>';
echo '<input class="button" type="submit" value="Редактировать"/></form>';
}else{echo "Вы не автор этого сообщения";}
}else{echo "Такая тема не существует";}
include_once"inclydings/down.php";
exit;
}

if($game=="deltem"){
if($acces_level<=5){
$result666 = mysql_query("SELECT * FROM `table_forums` WHERE `id`='".$id."'");
$po = mysql_fetch_array($result666);
$msg2=$po[forumthemes]-1;
$q = mysql_query("SELECT COUNT(`uid`) FROM `table_forummsgs` WHERE `uid`='".$uid."' AND `oid`='".$id."'");
$kol = mysql_result($q, 0);
$msg=$po[forummsg]-$kol;
mysql_query("UPDATE `table_forums` SET `forummsg`='$msg',`forumthemes`='$msg2' WHERE `id`='$id'");
mysql_query("DELETE FROM `table_themes` WHERE `uid`='".$uid."'");
mysql_query("DELETE FROM `table_forummsgs` WHERE `uid`='".$uid."'");
echo "Тема удалена";
}else{echo"Вы не админ";}
include_once"inclydings/down.php";
exit;
}


if($game=="razsave"){
if($acces_level<=5){
if(empty($forumname)){echo"Вы не ввели <b>Название раздела</b><br/><br/><li><a href=\"forum.php?$sd&game=addraz\">Назад</a>";
include_once"inclydings/down.php";
exit;
}
$raz = "INSERT INTO table_forums VALUES('','$forumname','0','0')";
$result = mysql_query($raz);
echo "Раздел успешно создан";
}else{echo"Вы не админ";}
include_once"inclydings/down.php";
exit;
}
if($game=="addraz"){
if($acces_level<=5){
echo'<form method="post" action="forum.php?$sd&game=razsave">';
echo "<br/>Название раздела:<br/>";
echo "<input class=\"button\" name=\"forumname\" maxlength=\"30\" title=\"Название раздела\" emptyok=\"true\"/>";
echo '<input class="button" type="submit" value="Добавить"/></form>';
}else{echo"Вы не админ!";}
include_once"inclydings/down.php";
exit;
}


if($game=="okclose"){
$g=mysql_query("SELECT * FROM `table_themes` WHERE `id`='$id' AND `uid`='$uid' LIMIT 1");
if(mysql_num_rows($g)==1){
if($acces_level>=5){
$result666 = mysql_query("SELECT * FROM `table_themes` WHERE `uid`='".$uid."'");
$onoff = mysql_fetch_array($result666);
if($onoff[onoff]=="1"){
mysql_query("UPDATE `table_themes` SET `onoff`='0' WHERE `uid`='$uid'");
echo "Тема закрыта";
}else{
mysql_query("UPDATE `table_themes` SET `onoff`='1' WHERE `uid`='$uid'");
echo "Тема открыта";
}
}else{echo"Вы не админ!";}
}else{echo "Такая тема не существует";}
include_once"inclydings/down.php";
exit;
}

if($game=="newforums"){
$g=mysql_query("SELECT * FROM `table_forums` WHERE `id`='$id' LIMIT 1");
if(mysql_num_rows($g)==1){
if(empty($nazva)){echo"Вы не ввели <b>Название темы</b><br/><br/><li><a href=\"forum.php?$sd&game=theme&id=$id\">Назад</a>";
include_once"inclydings/down.php";
exit;
}
if(empty($msg)){echo"Вы не ввели <b>Сообщение</b><br/><br/><li><a href=\"forum.php?$sd&game=theme&id=$id\">Назад</a>";
include_once"inclydings/down.php";
exit;
}

if($transi=="ok"){
require_once "inclydings/translit.php";
if(ereg("[а-яА-Я]",$nazva)){}else{
$nazva=str_replace($trans1,$trans2,$nazva);}
}
if($transik=="ok"){
require_once "inclydings/translit.php";
if(ereg("[а-яА-Я]",$msg)){}else{
$msg=str_replace($trans1,$trans2,$msg);}
}
$time = date("H:i:s");
$new = "INSERT INTO table_themes VALUES('$id','','$nazva','$log','$time','1','1','$log')";
$result = mysql_query($new);
$u=mysql_query("SELECT * FROM `table_themes` ORDER by `uid` DESC");
$dat=mysql_fetch_array($u);
$uids=$dat[uid];


$mg = "INSERT INTO table_forummsgs VALUES('$id','$uids','0','$log','$time','$msg')";
$result = mysql_query($mg);
$result666 = mysql_query("SELECT * FROM `table_forums` WHERE `id`='".$id."'");
$po = mysql_fetch_array($result666);
$msg=$po[forumthemes]+1;
$msg2=$po[forummsg]+1;
mysql_query("UPDATE `table_forums` SET `forumthemes`='$msg',`forummsg`='$msg2' WHERE `id`='$id'");
mysql_query("UPDATE `table_forumosts` SET `nick`='$log'");
echo "Тема успешно создана
<li><a href=\"forum.php?$sd&game=tem&id=$id&uid=$uids\">В тему</a>";
}else{echo "Такой раздел не существует";}
include_once"inclydings/down.php";
exit;
}

if($game=="newforum"){
$g=mysql_query("SELECT * FROM `table_forums` WHERE `id`='$id' LIMIT 1");
if(mysql_num_rows($g)==1){
if($udata[9]<"10"){echo "На форуме можно создавать темы только после <b>10</b> LvL.";
echo "<li><a href=\"forum.php?$sd\">В форум</a>";
include_once"inclydings/down.php";
exit;
}
echo'<form method="post" action="forum.php?'.$sd.'&game=newforums&id='.$id.'&uid='.$uid.'">';
echo "<br/>Название темы:<br/>";
echo "<input class=\"button\" name=\"nazva\" maxlength=\"30\" title=\"Название темы\" emptyok=\"true\"/>";
echo "<br/>Сообщение:<br/>";
echo "<input class=\"button\" name=\"msg\" maxlength=\"500\" title=\"Сообщение\" emptyok=\"true\"/><br/>";
echo '<input type="checkbox" name="transi" value="ok">Транслировать название темы<br/>';
echo '<input type="checkbox" name="transik" value="ok">Транслировать название сообщение<br/>';
echo '<input class="button" type="submit" value="Написать"/></form>';
}else{echo "Такой раздел не существует";}
include_once"inclydings/down.php";
exit;
}


if($game=="saves"){
$g=mysql_query("SELECT * FROM `table_themes` WHERE `id`='$id' AND `uid`='$uid' LIMIT 1");
if(mysql_num_rows($g)==1){
if(empty($msg)){echo"Вы не ввели <b>Сообщение</b><br/><br/><li><a href=\"forum.php?$sd&game=say&nick=$nick&id=$id&uid=$uid\">Назад</a>";
include_once"inclydings/down.php";
exit;
}

if($transi=="ok"){
require_once "inclydings/translit.php";
if(ereg("[а-яА-Я]",$msg)){}else{
$msg=str_replace($trans1,$trans2,$msg);}
}
include 'inclydings/smile.php';
$time = date("H:i:s");
$q = mysql_query("SELECT COUNT(`aid`) FROM `table_forummsgs` WHERE `uid`='$uid'");
$aid = mysql_result($q, 0);
$otvet = "INSERT INTO table_forummsgs VALUES('$id','$uid','$aid','$log','$time','$msg','$log')";
$result = mysql_query($otvet);
$result666 = mysql_query("SELECT * FROM `table_forums` WHERE `id`='".$id."'");
$po = mysql_fetch_array($result666);
$msg2=$po[forummsg]+1;
mysql_query("UPDATE `table_forums` SET `forummsg`='$msg2' WHERE `id`='$id'");
$result666 = mysql_query("SELECT * FROM `table_themes` WHERE `uid`='".$uid."'");
$po = mysql_fetch_array($result666);
$msg2=$po[msg]+1;
mysql_query("UPDATE `table_themes` SET `msg`='$msg2',`posl`='$log' WHERE `uid`='$uid'");
mysql_query("UPDATE `table_forumosts` SET `nick`='$log'");
echo "Вы успешно ответили
<li><a href=\"forum.php?$sd&game=tem&id=$id&uid=$uid\">Назад в тему</a>";
}else{echo "Такая тема не существует";}
include_once"inclydings/down.php";
exit;
}
if($game=="say"){
$g=mysql_query("SELECT * FROM `table_themes` WHERE `id`='$id' AND `uid`='$uid' LIMIT 1");
if(mysql_num_rows($g)==1){
if($udata[9]<"10"){echo "На форуме можно писать только после <b>10</b> LvL";
echo "<li><a href=\"forum.php?$sd\">В форум</a>";
include_once"inclydings/down.php";
exit;
}
$result666 = mysql_query("SELECT * FROM `table_themes` WHERE `uid`='".$uid."'");
$onoff = mysql_fetch_array($result666);
if($onoff[onoff]=="0"){
echo "Эта тема закрыта вы неможете писать сообщения";
include_once"inclydings/down.php";
exit;
}
echo'<form method="post" action="forum.php?'.$sd.'&game=saves&id='.$id.'&uid='.$uid.'">';
echo "<br/>Ответить на тему:<br/>";
echo "<input class=\"button\" name=\"msg\" maxlength=\"500\" title=\"Сообщение\" emptyok=\"true\"/><br/>";
echo '<input type="checkbox" name="transi" value="ok">Транслит<br/>';
echo '<input class="button" type="submit" value="Написать"/></form>';
}else{echo "Такая тема не существует";}
include_once"inclydings/down.php";
exit;
}



if($game=="tem"){
$g=mysql_query("SELECT * FROM `table_themes` WHERE `id`='$id' AND `uid`='$uid' LIMIT 1");
if(mysql_num_rows($g)==1){

$q = mysql_query("SELECT COUNT(`oid`) FROM `table_forummsgs` WHERE `oid`='$id' AND `uid`='$uid'");
$kmsg = mysql_result($q, 0);
echo "В теме сообщений (<b>$kmsg</b>)<br/>";
if(empty($startan)) $startan = 0;
$startan=intval($startan);
if($startan<0) $startan=0; $num_msgs_an=5;
$qi = mysql_query("SELECT * FROM `table_forummsgs` WHERE `oid`='$id' AND `uid`='$uid' ORDER by `aid` ASC LIMIT $startan,$num_msgs_an");
while($row=mysql_fetch_array($qi))
{
if($row[autor]=="$nick"){
echo"[<a href=\"forum.php?$sd&id=$id&aid=$row[aid]&uid=$row[uid]&game=read\">Ред</a>]";
}
echo" <a href=\"search.php?$sd&nick=$row[autor]&go=go\"> $row[autor]</a> ($row[time])<br/> $row[msg]<hr>";
}
$result666 = mysql_query("SELECT * FROM `table_themes` WHERE `uid`='".$uid."'");
$onoff = mysql_fetch_array($result666);
if($onoff[onoff]=="1"){
echo "<br/><li><a href=\"forum.php?$sd&game=say&id=$id&uid=$uid\">Написать в тему</a><br/>";
if($acces_level>=5){
echo "<li><a href=\"forum.php?$sd&game=okclose&id=$id&uid=$uid\">Закрыть тему</a><br/>";
}
}else{
echo "<br/>Тема закрыта<br/>";
if($acces_level>=5){
echo "<li><a href=\"forum.php?$sd&game=okclose&id=$id&uid=$uid\">Открыть тему</a><br/>";
}
}
if($acces_level>=5){
echo "<li><a href=\"forum.php?$sd&game=deltem&id=$id&uid=$uid\">Удалить тему</a><br/>";
}
$q = mysql_query("SELECT COUNT(`uid`) FROM `table_forummsgs` WHERE `uid`='$uid'");
$kol = mysql_result($q, 0);

if($startan!= 0) $page2left = ' <a href= forum.php?$sd&game=tem&startan='. ($startan - 5) .'&page='.($page-1).'&id='.$id.'&uid='.$uid.'>'. ($page - 1) .'</a> | ';

if(empty($page)){$page=1;}
if($kol > $startan + 5) $page2right = ' | <a href= forum.php?$sd&game=tem&startan='. ($startan + 5) .'&page='. ($page+1) .'&id='.$id.'&uid='.$uid.'>'. ($page + 1) .'</a>';
echo $page2left.'<b>('.$page.')</b>'.$page1right.$page2right.'<br/>';

if ($startan != 0) {echo '- - -<br/><a href="forum.php?$sd&startan='.($startan - 5).'&id='.$id.'&uid='.$uid.'&game=tem&page='.($page-1).'">Назад</a> ';}
if ($kol > $startan + 5) {echo ' <a href="forum.php?$sd&startan='.($startan + 5).'&id='.$id.'&uid='.$uid.'&game=tem&page='.($page+1).'">Далее</a>';}
}else{echo "Такая тема не существует";}
include_once"inclydings/down.php";
exit;
}


if($game=="theme"){

$row = mysql_fetch_array($req);
$g=mysql_query("SELECT * FROM `table_forums` WHERE `id`='$id' LIMIT 1");
if(mysql_num_rows($g)==1){
$q = mysql_query("SELECT COUNT(`id`) FROM `table_themes` WHERE `id`='$id'");
$kol = mysql_result($q, 0);
if($kol=="0"){echo "В разделе пока нет тем!";}
if(empty($startan)) $startan = 0;
$startan=intval($startan);
if($startan<0) $startan=0; $num_msgs_an=5;
$qi = mysql_query("SELECT * FROM `table_themes` WHERE `id`='$id' ORDER by `uid` DESC LIMIT $startan,$num_msgs_an");
while($row=mysql_fetch_array($qi))
{
if($row[autor]=="$nick"){
echo "» ";
}
if($row[onoff]=="0"){
echo "# ";
}
echo "<a href=\"search.php?$sd&nick=$row[autor]&go=go\">$row[autor]</a>";


echo" ($row[time])<br/>
<a href=\"forum.php?$sd&game=tem&id=$row[id]&uid=$row[uid]\">$row[name]</a> [<b>$row[msg]</b>]<br/>Последний написал в теме: <a href=\"search.php?nick=$row[posl]&go=go\">$row[posl]</a><hr>";
}
echo "<br/><li><a href=\"forum.php?$sd&game=newforum&id=$id\">Начать новую тему</a><br/>";

$q = mysql_query("SELECT COUNT(`id`) FROM `table_themes` WHERE `id`='$id'");
$kol = mysql_result($q, 0);
if($startan!= 0) $page2left = ' <a href= forum.php?game=theme&startan='. ($startan - 5) .'&page='.($page-1).'&id='.$id.'>'. ($page - 1) .'</a> | ';

if(empty($page)){$page=1;}
if($kol > $startan + 5) $page2right = ' | <a href= forum.php?$sd&game=theme&startan='. ($startan + 5) .'&page='. ($page+1) .'&id='.$id.'>'. ($page + 1) .'</a>';
echo $page2left.'<b>('.$page.')</b>'.$page1right.$page2right.'<br/>';
if ($startan != 0) {echo '<a href="forum.php?$sd&game=theme&startan='.($startan - 5).'&nick='.$nick.'&pass='.$pass.'&page='.($page-1).'&id='.$id.'">Назад</a> ';}
if ($kol > $startan + 5) {echo ' <a href="forum.php?$sd&game=theme&startan='.($startan + 5).'&page='.($page+1).'&id='.$id.'">Далее</a>';}

include_once"inclydings/down.php";
exit;
}}
//////////////////
$q = mysql_query("SELECT COUNT(`id`) FROM `table_forums`;");
$kol = mysql_result($q, 0);
if($kol<="0"){echo "Разделы пока не созданы";
if($acces_level>=5){
echo "<br/><li><a href=\"forum.php?$sd&game=addraz\">Добавить раздел</a>";
}
include_once"inclydings/down.php";
exit;
}
echo "Разделы форума:<br/>";
$qi = mysql_query("SELECT * FROM `table_forums` ORDER by `id` ASC");
while($row=mysql_fetch_array($qi))
{


echo "<img src=\"images/forums.gif\"> <a href=\"forum.php?$sd&game=theme&id=$row[id]\">$row[forumname]</a> [<b>$row[forumthemes]</b>/<b>$row[forummsg]</b>]<br/>";

}
$q = mysql_query("SELECT COUNT(`id`) FROM `table_forums`;");
$kol1 = mysql_result($q, 0);
$q = mysql_query("SELECT COUNT(`aid`) FROM `table_forummsgs`;");
$kol2 = mysql_result($q, 0);
$q = mysql_query("SELECT COUNT(`id`) FROM `table_themes`;");
$kol3 = mysql_result($q, 0);

if($acces_level>=5){
echo "<br/><li><a href=\"forum.php?$sd&game=addraz\">Добавить раздел</a>";
}
echo "<br/>Всего на форуме разделов: (<b>$kol1</b>)<br/>
Всего на форуме тем: (<b>$kol3</b>)<br/>
Всего на форуме сообщений: (<b>$kol2</b>)<br/>";


}else{echo"Пароль или ник неверен. Возможно сессия устарела. Попробуйте авторизироваться заново.";}

include_once"inclydings/down.php";
?>








